import React, {Component} from "react";
import {Image, StyleSheet, Text, View} from "react-native";
import ProfileHeader from "screens/containers/profile/ProfileHeader";
import {RobotoBoldText, RobotoText} from "components/utils/texts/StyledText";
import {Button} from "react-native-elements"


export default class ProfileCard extends Component {
    constructor(props) {
        super(props);
    }

    render() {
        return (
                <View style={styles.container}>
                    <View>
                        <ProfileHeader />
                    </View>
                    <View style={styles.notification}>
                        <Image style={{ marginLeft: 3, marginTop: 1}} source={ require("assets/eclipse.png") }/>
                        <RobotoText style={styles.notificationText}> Blíží se odevdání:  </RobotoText>
                        <RobotoBoldText style={styles.subjectText}> Excel s1</RobotoBoldText>
                    </View>
                    <View style={styles.addToCarContainer}>

                    </View>
                </View>
        );
    }
}

const BusSchedule = () => {
        return (
        <View style={styles.buses}>
            <Button
                title="Busy"
                icon={{name: "md-bus", type: "ionicon", color: "#707070"}}
                titleStyle={{fontSize: 13, color: '#3672EC'}}
                onPress={() => this.toggleBtn }
                containerStyle={{marginTop: 0, marginLeft: 0, marginRight: 0, marginBottom: 0}
                }
            />
            <View style={{flexDirection: 'column', justifyContent: 'center'}}>
                <RobotoBoldText>jjhj</RobotoBoldText>
                <RobotoText>jkjkkIIIIkkkkk</RobotoText>
            </View>
            <View style={{flexDirection: 'column', justifyContent: 'center'}}>
                <RobotoBoldText>jjhj</RobotoBoldText>
                <RobotoText>jkjjjjjjk</RobotoText>
            </View>
            <Button title='hi' onPress={() => this.toggleBtn}/>
        </View> );
};

const RefreshBus = () => {
    return (
        <View style={styles.addToCarContainer}>
            <Button style={styles.shareButton} title="Hello" onPress={()=>this.toggleBtn}>
                <Text style={styles.shareButtonText}> </Text>
            </Button>
        </View>
    );
};

const styles = StyleSheet.create({

    container: {
        width: "94%",
        height: 200,
        padding: 20,
        backgroundColor: '#ffffff',
        borderRadius: 10,
        margin: 10,
        flex: 1,
        flexDirection: 'column'
    },

    borderLeft: {
        borderLeftColor: 'black'
    },

    image: {
        height: 50,
        borderRadius: 10,

    },

    buttonStyle: {
        height: 20,
        alignSelf: 'flex-start',
        backgroundColor: '#ffffff',
        borderRadius: 30,
        marginTop: 30,
        marginBottom: 20
    },

    borrowContainer: {
        flexDirection: "row", height: 30, padding: 1, alignSelf: 'flex-start', backgroundColor: '#000000', borderRadius: 5, opacity: 0.55
    },

    notification: {
        padding: 4,
        marginTop: 15,
        height: 25,
        flexDirection: 'row',
        borderRadius:30,
        borderWidth: 2,
        borderColor: "#c9c9c9",
    },
    notificationText:{
        paddingLeft: 15,
        color: "#000000",
        fontSize: 12,
    },

    subjectText: {
        color: "#634DE1",
        fontSize: 13
    },

    buses: {
        marginTop: 10,
        height: 50,
        borderWidth: 1,
        borderColor: "#c9c9c9",
        flexDirection: 'row',

    },

    shareButton: {
        marginTop:10,
        height:45,
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        borderRadius:30,
        backgroundColor: "#00BFFF",
    },
    shareButtonText:{
        color: "#FFFFFF",
        fontSize:20,
    },
    addToCarContainer:{
        marginHorizontal:30
    }
});
