export const appColor = {
  black: '#000000',
  red: '#B62429',
  blue: '#3D639D',
  blueGray: '#FAFBFF',
  gray: '#9597A1',
  lightGray: '#EDEEF2',
  dark: '#121212',
  darkGray: '#252525',
  white: '#FFFFFF',
  lightGrayBorder: '#EFF2F9',
  highLightColor: '#D9D9D9',

  tintColor: '#2f95dc',
  tabIconDefault: '#ccc',
  tabIconSelected: '#2f95dc',
  tabBar: '#fefefe',
  errorBackground: 'red',
  appText: '#fff',
  errorText: '#fff',
  warningBackground: '#EAEB5E',
  warningText: '#666804',
  noticeBackground: '#2f95dc',
  noticeText: '#fff',
};

export const themes = {
  light: {
    primaryForeground: '#000000',
    primaryBackground: '#eeeeee',
  },
  dark: {
    primaryForeground: '#225ed9',
    primaryBackground: '#090c1a',
  },
};
