import React, {Component} from "react";
import {Image, StyleSheet, View} from "react-native";
import {Button} from "react-native-elements";
import {RobotoBoldText} from "components/utils/texts/StyledText";

export default class Wallet extends Component {
    constructor(props) {
        super(props);
    }
    render() {
        return (
            <View style={{ flexDirection: 'column'}}>
            <View style={{flex: 1, flexDirection: 'row' , marginTop: 5}}>
                <Image style={{ marginLeft: 10}} source={require('assets/moneyBlue.png')}/>
                <Button
                    title="720 Kč"
                    titleStyle={{fontSize: 16, color: '#3672EC', fontWeight: 'bold'}}
                    buttonStyle={styles.buttonStyle}
                    containerStyle={{marginLeft: 0, marginRight: 0}}
                    onPress={() => console.log("button pressed")}
                />
            </View>
                <RobotoBoldText style={{marginLeft: 12, padding: 5, paddingTop: 10, fontSize: 10, color: "#e35f55"}}>Aktivuj slevy Foodpoint</RobotoBoldText>
                </View>
        );
    }
}

const styles = StyleSheet.create({

    buttonStyle: {
        padding: 5,
        height: 35,
        alignSelf: 'flex-start',
        backgroundColor: "#FFFFFF",
    },
});
